# sub_normalize.hh File Reference

Sub-normalization algorithm for FMP transducers. More...

Include dependency graph for sub_normalize.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<class S , class T >
Element< S, T > | sub_normalize (const Element< S, T > &a)
| Sub-normalize a FMP transducer.
template<class S , class T1 , class T2 >
void | sub_normalize (const Element< S, T1 > &a, Element< S, T2 > &res)
| Sub-normalize a FMP transducer.
template<class S , class T >
void | sub_normalize_here (Element< S, T > &a)
| Sub-normalize a FMP transducer, in place version.
template<class S , class T >
bool | is_sub_normalized (const Element< S, T > &a)
| Check if a FMP transducer is sub-normalized.

## Detailed Description

Sub-normalization algorithm for FMP transducers.

Author:
  Louis-Noel Pouchet <louis-noel.pouchet@lrde.epita.fr>

See also:
  sub_normalize()
  is_sub_normalize()

Definition in file sub_normalize.hh.